%define maj 4
%define min 2
%define rel 0

Summary:     A time synchronization daemon which keeps your system time accurate
Name:        ntp
Version:     %{maj}.%{min}.%{rel}
Release:     7.pp
License:     GPL
Group:       System Environment/Daemons
Source0:     ftp://ftp.udel.edu/pub/ntp/ntp%{maj}/ntp-%{version}.tar.gz
Source1:     ntpd.init
Source2:     ntp.conf
Source3:     ntp.keys
Source4:     ntp.tickers
Source5:     ntp.drift
URL:         http://www.ntp.org/
Buildroot:   /var/tmp/ntp-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    openssl readline ncurses perl
Prereq:      /bin/bash /sbin/chkconfig /bin/grep
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: openssl-devel readline-devel ncurses-devel perl
Provides:    ntp.pp
ExclusiveOS: linux


%description
The Network Time Protocol (NTP) is used to synchronize the
time of a computer client or server to another server or
reference time source, such as a radio or satellite re-
ceiver or modem. It provides client accuracies typically
within a millisecond on LANs and up to a few tens of milli-
seconds on WANs relative to a primary server synchronized
to Coordinated Universal Time (UTC) via a Global Positio-
ning Service (GPS) receiver, for example.


%prep
%setup -q
# Prevent conflict with CONFIG_PHONE from kernel autoconf.h
for file in `find . -type f -exec egrep -l "CONFIG_(PHONE|CRYPTO)" {} \;`; do
   cp -f $file tmpfile
   sed -e 's+CONFIG_PHONE+NTP_CONFIG_PHONE+g'   \
       -e 's+CONFIG_CRYPTO+NTP_CONFIG_CRYPTO+g' tmpfile > $file
   rm -f tmpfile
done


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr              \
	--sysconfdir=/etc          \
	--localstatedir=/var       \
	--mandir=/usr/share/man    \
	--enable-clockctl          \
	--enable-all-clocks        \
	--enable-parse-clocks      \
	--enable-kmem              \
	--enable-simulator         \
	--with-crypto=openssl      \
	--with-openssl-libdir=/usr/lib     \
	--with-openssl-incdir=/usr/include \
	--enable-md5
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/ntp
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/log/ntp
make DESTDIR=$RPM_BUILD_ROOT install
for file in ntpd ntpdsim tickadj; do
   mv $RPM_BUILD_ROOT/usr/bin/${file} $RPM_BUILD_ROOT/usr/sbin
done
install -m 0755 $RPM_SOURCE_DIR/ntpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/ntpd
install -m 0644 $RPM_SOURCE_DIR/ntp.conf $RPM_BUILD_ROOT/etc/ntp.conf
install -m 0644 $RPM_SOURCE_DIR/ntp.drift $RPM_BUILD_ROOT/etc/ntp/drift
install -m 0644 $RPM_SOURCE_DIR/ntp.tickers $RPM_BUILD_ROOT/etc/ntp/tickers
install -m 0600 $RPM_SOURCE_DIR/ntp.keys $RPM_BUILD_ROOT/etc/ntp/keys


%post
/sbin/chkconfig --add ntpd
/sbin/chkconfig ntpd on
if [ -f /var/lock/subsys/ntpd ]; then
   /etc/rc.d/init.d/ntpd restart
else
   /etc/rc.d/init.d/ntpd start
fi


%preun
if [ $1 = 0 ] ; then
   /sbin/chkconfig ntpd off
   /sbin/chkconfig --del ntpd
   if [ -f /var/lock/subsys/ntpd ]; then
      /etc/rc.d/init.d/ntpd stop
   fi
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog* COPYRIGHT INSTALL NEWS NOTES.y2kfixes README* 
%doc readme* results* TODO WHERE-TO-START
%doc %dir conf html
/etc/rc.d/init.d/ntpd
%config(noreplace) /etc/ntp.conf
%dir /etc/ntp
%config(noreplace) /etc/ntp/*
/usr/bin/*
/usr/sbin/*
%dir /var/log/ntp


%changelog
* Wed Nov 12 2003 peter.pramberger@1012surf.net
- new version 4.2.0
- removed RSAeuro due to openssl support

* Mon Jun 02 2003 peter.pramberger@1012surf.net
- compiled for RH73

* Wed May 07 2003 peter.pramberger@1012surf.net
- new version 4.1.1b

* Fri May 10 2002 peter.pramberger@1012surf.net
- added RSAeuro for PK support

* Thu May 09 2002 peter.pramberger@1012surf.net
- new version 4.1.1a

* Sat Mar 16 2002 peter.pramberger@1012surf.net
- new version 4.1.1

* Mon Feb 25 2002 peter.pramberger@1012surf.net
- created

